0

HTTPSConnectionPool(host=’files.pythonhosted.org’, port=443): Read timed out.

安装PyQt5库时报错(安装命令是: pip install PyQt5) :

pip –default-timeout=100 install PyQt5
Collecting PyQt5
Using cached PyQt5-5.15.6-cp36-abi3-win_amd64.whl (6.7 MB)
Collecting PyQt5-Qt5>=5.15.2
Downloading PyQt5_Qt5-5.15.2-py3-none-win_amd64.whl (50.1 MB)
| | 61 kB 8.8 kB/s eta 1:34:38ERROR: Exception:
Traceback (most recent call last):
File “e:\python\lib\site-packages\pip_vendor\urllib3\response.py”, line 438, in _error_catcher
yield
File “e:\python\lib\site-packages\pip_vendor\urllib3\response.py”, line 519, in read
data = self._fp.read(amt) if not fp_closed else b””
File “e:\python\lib\site-packages\pip_vendor\cachecontrol\filewrapper.py”, line 62, in read
data = self.__fp.read(amt)
File “e:\python\lib\http\client.py”, line 458, in read
n = self.readinto(b)
File “e:\python\lib\http\client.py”, line 502, in readinto
n = self.fp.readinto(b)
File “e:\python\lib\socket.py”, line 669, in readinto
return self._sock.recv_into(b)
File “e:\python\lib\ssl.py”, line 1241, in recv_into
return self.read(nbytes, buffer)
File “e:\python\lib\ssl.py”, line 1099, in read
return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “e:\python\lib\site-packages\pip_internal\cli\base_command.py”, line 164, in exc_logging_wrapper
status = run_func(*args)
File “e:\python\lib\site-packages\pip_internal\cli\req_command.py”, line 205, in wrapper
return func(self, options, args)
File “e:\python\lib\site-packages\pip_internal\commands\install.py”, line 338, in run
requirement_set = resolver.resolve(
File “e:\python\lib\site-packages\pip_internal\resolution\resolvelib\resolver.py”, line 92, in resolve
result = self._result = resolver.resolve(
File “e:\python\lib\site-packages\pip_vendor\resolvelib\resolvers.py”, line 482, in resolve
state = resolution.resolve(requirements, max_rounds=max_rounds)
File “e:\python\lib\site-packages\pip_vendor\resolvelib\resolvers.py”, line 374, in resolve
failure_causes = self._attempt_to_pin_criterion(name)
File “e:\python\lib\site-packages\pip_vendor\resolvelib\resolvers.py”, line 214, in _attempt_to_pin_criterion
criteria = self._get_updated_criteria(candidate)
File “e:\python\lib\site-packages\pip_vendor\resolvelib\resolvers.py”, line 205, in _get_updated_criteria
self._add_to_criteria(criteria, requirement, parent=candidate)
File “e:\python\lib\site-packages\pip_vendor\resolvelib\resolvers.py”, line 173, in _add_to_criteria
if not criterion.candidates:
File “e:\python\lib\site-packages\pip_vendor\resolvelib\structs.py”, line 151, in bool
return bool(self._sequence)
File “e:\python\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py”, line 155, in bool
return any(self)
File “e:\python\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py”, line 143, in
return (c for c in iterator if id(c) not in self._incompatible_ids)
File “e:\python\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py”, line 47, in _iter_built
candidate = func()
File “e:\python\lib\site-packages\pip_internal\resolution\resolvelib\factory.py”, line 201, in _make_candidate_from_link
self._link_candidate_cache[link] = LinkCandidate(
File “e:\python\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py”, line 281, in init
super().init(
File “e:\python\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py”, line 156, in init
self.dist = self._prepare()
File “e:\python\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py”, line 225, in _prepare
dist = self._prepare_distribution()
File “e:\python\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py”, line 292, in _prepare_distribution
return preparer.prepare_linked_requirement(self._ireq, parallel_builds=True)
File “e:\python\lib\site-packages\pip_internal\operations\prepare.py”, line 482, in prepare_linked_requirement
return self._prepare_linked_requirement(req, parallel_builds)
File “e:\python\lib\site-packages\pip_internal\operations\prepare.py”, line 527, in _prepare_linked_requirement
local_file = unpack_url(
File “e:\python\lib\site-packages\pip_internal\operations\prepare.py”, line 213, in unpack_url
file = get_http_url(
File “e:\python\lib\site-packages\pip_internal\operations\prepare.py”, line 94, in get_http_url
from_path, content_type = download(link, temp_dir.path)
File “e:\python\lib\site-packages\pip_internal\network\download.py”, line 145, in call
for chunk in chunks:
File “e:\python\lib\site-packages\pip_internal\cli\progress_bars.py”, line 144, in iter
for x in it:
File “e:\python\lib\site-packages\pip_internal\network\utils.py”, line 63, in response_chunks
for chunk in response.raw.stream(
File “e:\python\lib\site-packages\pip_vendor\urllib3\response.py”, line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File “e:\python\lib\site-packages\pip_vendor\urllib3\response.py”, line 541, in read
raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
File “e:\python\lib\contextlib.py”, line 131, in exit
self.gen.throw(type, value, traceback)
File “e:\python\lib\site-packages\pip_vendor\urllib3\response.py”, line 443, in _error_catcher
raise ReadTimeoutError(self._pool, None, “Read timed out.”)
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host=’files.pythonhosted.org’, port=443): Read timed out.

解决办法一,命令修改成:

pip install -i https://pypi.douban.com/simple PyQt5

相关标签:install pip PyQt5 python
期待你一针见血的评论,Come on!